"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DcqlEmptyVpToken = exports.DcqlInvalidClaimsQueryIdError = exports.DcqlNonUniqueCredentialQueryIdsError = exports.DcqlUndefinedClaimSetIdError = exports.DcqlCredentialSetError = void 0;
const e_base_js_1 = require("./e-base.js");
class DcqlCredentialSetError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlCredentialSetError = DcqlCredentialSetError;
class DcqlUndefinedClaimSetIdError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlUndefinedClaimSetIdError = DcqlUndefinedClaimSetIdError;
class DcqlNonUniqueCredentialQueryIdsError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlNonUniqueCredentialQueryIdsError = DcqlNonUniqueCredentialQueryIdsError;
class DcqlInvalidClaimsQueryIdError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlInvalidClaimsQueryIdError = DcqlInvalidClaimsQueryIdError;
class DcqlEmptyVpToken extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlEmptyVpToken = DcqlEmptyVpToken;
//# sourceMappingURL=e-dcql.js.map